#!/bin/sh

# Script to run main ns-2 simulation experiments for ToN paper

# run Bernoulli Packet Loss experiment (Section IV-C, Figure 7)
echo "Running Experiment C"
./runC.pl > runC.out
mv sim.data simC.data

# run HTTP/FTP Background Traffic experiment (Section IV-D, Figure 9)
echo "Running Experiment D"
./runD.pl > runD.out
mv sim.data simD.data
./runDred.pl > runDred.out
mv sim.data simDred.data

# run Multiple Bottlenecks experiment (Section IV-E, Figure 10)
echo "Running Experiment E"
./runE.pl > runE.out
mv sim.data simE.data
./runEred.pl > runEred.out
mv sim.data simEred.data

# run UDP Background Traffic experiment (Section IV-F, Figure 11)
echo "Running Experiment F"
./runF.pl > runF.out
mv sim.data simF.data

# run System Scaling experiment (Section IV-G, Figure 12)
echo "Running Experiment G"
./runG.pl > runG.out
mv sim.data simG.data

# run Bottleneck Buffer Size experiment (Section IV-H, Figure 13)
echo "Running Experiment H"
./runH.pl > runH.out
mv sim.data simH.data
